Feature #720

поддержка IPMI для CLD/CDS

Added by Виктор Кустов almost 5 years ago. Updated about 3 years ago.

Status:Feedback Start:02/19/2015
Priority:Normal Due date:
Assignee:- % Done:

0%

Category:Server Spent time: -
Target version:-
Votes: 1

Description

Для серверов считаю необходимой поддержку IPMI - ядерные модули и установленный ipmitool

History

Updated by Виктор Кустов over 4 years ago

В файл /var/lib/layman/calculate/profiles/templates/3.3/6_ac_install_patch/sys-kernel/calculate-sources/3.19/20-server

Необходимо добавить строки:

CONFIG_IPMI_HANDLER=m
CONFIG_IPMI_DEVICE_INTERFACE=m
CONFIG_IPMI_SI=m

P.S. собрал, модули грузятся (пока руками) ipmitool lan print отрабатывает.

Updated by Alexander Tratsevskiy over 4 years ago

Виктор Кустов wrote:

В файл /var/lib/layman/calculate/profiles/templates/3.3/6_ac_install_patch/sys-kernel/calculate-sources/3.19/20-server


Необходимо добавить строки:


CONFIG_IPMI_HANDLER=m
CONFIG_IPMI_DEVICE_INTERFACE=m
CONFIG_IPMI_SI=m


P.S. собрал, модули грузятся (пока руками) ipmitool lan print отрабатывает.

В 3.18.11 появится поддержка.

Updated by Виктор Кустов about 3 years ago

Alexander Tratsevskiy wrote:

В 3.18.11 появится поддержка.

# eselect profile list | grep \*
  [30]  distros:CDS/amd64 *

grep -r IPMI /var/lib/layman/calculate/profiles/templates/ | grep -v #
/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.8/10-calculate-x86-4.8:CONFIG_IPMI_DEVICE_INTERFACE=m
/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.8/10-calculate-x86-4.8:CONFIG_IPMI_HANDLER=m
/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.8/10-calculate-x86-4.8:CONFIG_IPMI_SI=m
/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.1/10-calculate-x86-4.1:CONFIG_IPMI_DEVICE_INTERFACE=m
/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.1/10-calculate-x86-4.1:CONFIG_IPMI_HANDLER=m
/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.1/10-calculate-x86-4.1:CONFIG_IPMI_SI=m
/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.4/10-calculate-x86-4.4:CONFIG_IPMI_DEVICE_INTERFACE=m
/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.4/10-calculate-x86-4.4:CONFIG_IPMI_HANDLER=m
/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.4/10-calculate-x86-4.4:CONFIG_IPMI_SI=m
/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.8/10-calculate-x86-4.8:CONFIG_IPMI_DEVICE_INTERFACE=m
/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.8/10-calculate-x86-4.8:CONFIG_IPMI_HANDLER=m
/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.8/10-calculate-x86-4.8:CONFIG_IPMI_SI=m
/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.1/10-calculate-x86-4.1:CONFIG_IPMI_DEVICE_INTERFACE=m
/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.1/10-calculate-x86-4.1:CONFIG_IPMI_HANDLER=m
/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.1/10-calculate-x86-4.1:CONFIG_IPMI_SI=m
/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.4/10-calculate-x86-4.4:CONFIG_IPMI_DEVICE_INTERFACE=m
/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.4/10-calculate-x86-4.4:CONFIG_IPMI_HANDLER=m
/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.4/10-calculate-x86-4.4:CONFIG_IPMI_SI=m

и при этом:
# modprobe ipmi_si
modprobe: FATAL: Module ipmi_si not found in directory /lib/modules/4.4.26-calculate

# find /lib64/modules -name "*ipmi*" 
# 

что не так?

Updated by Alexander Tratsevskiy about 3 years ago

В 64 бит. ядре поддержки нет, странно. Появится ближайшим обновлением с бинарным ядром 4.4.33.

Updated by Виктор Кустов about 3 years ago

Alexander Tratsevskiy wrote:

В 64 бит. ядре поддержки нет, странно. Появится ближайшим обновлением с бинарным ядром 4.4.33.

а как так получилось? в шаблонах ведь всё есть. не с билдфермой часом проблема?

Updated by Alexander Tratsevskiy about 3 years ago

Виктор Кустов wrote:

Alexander Tratsevskiy wrote:

В 64 бит. ядре поддержки нет, странно. Появится ближайшим обновлением с бинарным ядром 4.4.33.

а как так получилось? в шаблонах ведь всё есть. не с билдфермой часом проблема?

В приведённом вами логе настройки для 32-битного ядра.

Updated by Alexander Tratsevskiy about 3 years ago

  • Status changed from New to Feedback

Also available in: Atom PDF

Thank you!